<?xml version="1.0"?>
<doc>
    <assembly>
        <name>Learun.Util.Operat</name>
    </assembly>
    <members>
        <member name="T:Learun.Util.Operat.OperateLogModel">
            <summary>
            版 本 PIT-ADMS V7.0.3 敏捷开发框架
            Copyright (c) 2013-2018 Hexagon PPM
            创建人：研发部
            日 期：2017.03.08
            描 述：操作日志模型
            </summary>
        </member>
        <member name="P:Learun.Util.Operat.OperateLogModel.type">
            <summary>
            操作类型
            </summary>
        </member>
        <member name="P:Learun.Util.Operat.OperateLogModel.title">
            <summary>
            功能名称
            </summary>
        </member>
        <member name="P:Learun.Util.Operat.OperateLogModel.url">
            <summary>
            功能地址
            </summary>
        </member>
        <member name="P:Learun.Util.Operat.OperateLogModel.dataJson">
            <summary>
            数据
            </summary>
        </member>
        <member name="P:Learun.Util.Operat.OperateLogModel.userInfo">
            <summary>
            用户信息
            </summary>
        </member>
        <member name="P:Learun.Util.Operat.OperateLogModel.sourceObjectId">
            <summary>
            来源对象主键
            </summary>
        </member>
        <member name="P:Learun.Util.Operat.OperateLogModel.sourceContentJson">
            <summary>
            来源日志内容
            </summary>
        </member>
        <member name="T:Learun.Util.Operat.OperationType">
            <summary>
            版 本 PIT-ADMS V7.0.3 敏捷开发框架
            Copyright (c) 2013-2018 Hexagon PPM
            创建人：研发部
            日 期：2017.03.08
            描 述：操作类型
            </summary>
        </member>
        <member name="F:Learun.Util.Operat.OperationType.Other">
            <summary>
            其他
            </summary>
        </member>
        <member name="F:Learun.Util.Operat.OperationType.Login">
            <summary>
            登陆
            </summary>
        </member>
        <member name="F:Learun.Util.Operat.OperationType.Exit">
            <summary>
            登陆
            </summary>
        </member>
        <member name="F:Learun.Util.Operat.OperationType.Visit">
            <summary>
            访问
            </summary>
        </member>
        <member name="F:Learun.Util.Operat.OperationType.Leave">
            <summary>
            离开
            </summary>
        </member>
        <member name="F:Learun.Util.Operat.OperationType.Create">
            <summary>
            新增
            </summary>
        </member>
        <member name="F:Learun.Util.Operat.OperationType.Delete">
            <summary>
            删除
            </summary>
        </member>
        <member name="F:Learun.Util.Operat.OperationType.Update">
            <summary>
            修改
            </summary>
        </member>
        <member name="F:Learun.Util.Operat.OperationType.Submit">
            <summary>
            提交
            </summary>
        </member>
        <member name="F:Learun.Util.Operat.OperationType.Exception">
            <summary>
            异常
            </summary>
        </member>
        <member name="F:Learun.Util.Operat.OperationType.AppLogin">
            <summary>
            异常
            </summary>
        </member>
        <member name="T:Learun.Util.Operat.Operator">
            <summary>
            版 本 PIT-ADMS V7.0.3 敏捷开发框架
            Copyright (c) 2013-2018 Hexagon PPM
            创建人：研发部
            日 期：2017.03.08
            描 述：当前连接用户信息
            </summary>
        </member>
        <member name="P:Learun.Util.Operat.Operator.appId">
            <summary>
            应用Id
            </summary>
        </member>
        <member name="P:Learun.Util.Operat.Operator.account">
            <summary>
            用户账号
            </summary>
        </member>
        <member name="P:Learun.Util.Operat.Operator.logTime">
            <summary>
            登录时间
            </summary>
        </member>
        <member name="P:Learun.Util.Operat.Operator.iPAddress">
            <summary>
            登录IP地址
            </summary>
        </member>
        <member name="P:Learun.Util.Operat.Operator.browser">
            <summary>
            浏览器名称
            </summary>
        </member>
        <member name="P:Learun.Util.Operat.Operator.loginMark">
            <summary>
            登录者标识
            </summary>
        </member>
        <member name="P:Learun.Util.Operat.Operator.token">
            <summary>
            票据信息
            </summary>
        </member>
        <member name="T:Learun.Util.Operat.OperatorHelper">
            <summary>
            版 本 PIT-ADMS V7.0.3 敏捷开发框架
            Copyright (c) 2013-2018 Hexagon PPM
            创建人：研发部
            日 期：2017.03.08
            描 述：当前连接用户信息处理类
            </summary>
        </member>
        <member name="F:Learun.Util.Operat.OperatorHelper.redisCache">
            <summary>
            缓存操作类
            </summary>
        </member>
        <member name="F:Learun.Util.Operat.OperatorHelper.LoginUserToken">
            <summary>
            秘钥
            </summary>
        </member>
        <member name="F:Learun.Util.Operat.OperatorHelper.LoginUserMarkKey">
            <summary>
            标记登录的浏览器
            </summary>
        </member>
        <member name="P:Learun.Util.Operat.OperatorHelper.Instance">
            <summary>
            获取实例
            </summary>
        </member>
        <member name="M:Learun.Util.Operat.OperatorHelper.GetMark">
            <summary>
            获取浏览器设配号
            </summary>
            <returns></returns>
        </member>
        <member name="M:Learun.Util.Operat.OperatorHelper.AddLoginUser(System.String,System.String,System.String,System.String,System.Boolean)">
            <summary>
            登录者信息添加到缓存中
            </summary>
            <param name="account">账号</param>
            <param name="appId">应用id</param>
            <param name="loginMark">设备标识</param>
            <param name="cookie">是否保存cookie，默认是</param>
            <returns></returns>
        </member>
        <member name="M:Learun.Util.Operat.OperatorHelper.AddLoginUser(System.String,System.String,System.String,System.Boolean)">
            <summary>
            登录者信息添加到缓存中
            </summary>
            <param name="account">账号</param>
            <param name="appId">应用id</param>
            <param name="loginMark">设备标识</param>
            <param name="cookie">是否保存cookie，默认是</param>
            <returns></returns>
        </member>
        <member name="M:Learun.Util.Operat.OperatorHelper.EmptyCurrent">
            <summary>
            清空当前登录信息
            </summary>
        </member>
        <member name="M:Learun.Util.Operat.OperatorHelper.EmptyCurrent(System.String,System.String)">
            <summary>
            清空当前登录信息
            </summary>
            <param name="token">登录票据</param>
            <param name="loginMark">登录设备标识</param>
        </member>
        <member name="M:Learun.Util.Operat.OperatorHelper.IsOnLine(System.String)">
            <summary>
            判断登录状态
            </summary>
            <returns>-1未登录,1登录成功,0登录过期</returns>
        </member>
        <member name="M:Learun.Util.Operat.OperatorHelper.IsOnLine(System.String,System.String)">
            <summary>
            判断登录状态
            </summary>
            <returns>-1未登录,1登录成功,0登录过期</returns>
        </member>
        <member name="M:Learun.Util.Operat.OperatorHelper.IsOnLine(System.String,System.String,System.String)">
            <summary>
            判断登录状态
            </summary>
            <param name="token">登录票据</param>
            <param name="loginMark">登录设备标识</param>
            <returns>-1未登录,1登录成功,0登录过期</returns>
        </member>
        <member name="M:Learun.Util.Operat.OperatorHelper.IsOnLine(System.String,System.String,System.String,System.String)">
            <summary>
            判断登录状态
            </summary>
            <param name="token">登录票据</param>
            <param name="loginMark">登录设备标识</param>
            <returns>-1未登录,1登录成功,0登录过期</returns>
        </member>
        <member name="M:Learun.Util.Operat.OperatorHelper.GetCurrentErrorNum">
            <summary>
            获取当前登录错误次数
            </summary>
            <returns></returns>
        </member>
        <member name="M:Learun.Util.Operat.OperatorHelper.AddCurrentErrorNum">
            <summary>
            增加错误次数。去读写cookie
            </summary>
            <returns></returns>
        </member>
        <member name="M:Learun.Util.Operat.OperatorHelper.ClearCurrentErrorNum">
            <summary>
            清除当前登录错误次数
            </summary>
        </member>
        <member name="M:Learun.Util.Operat.OperatorHelper.SaveErrorTime">
            <summary>
            保存登录错误时间
            </summary>
        </member>
        <member name="M:Learun.Util.Operat.OperatorHelper.GetErrorTime">
            <summary>
            获取登录错误时间
            </summary>
        </member>
        <member name="M:Learun.Util.Operat.OperatorHelper.WriteOperateLog(Learun.Util.Operat.OperateLogModel)">
            <summary>
            写操作日志
            </summary>
        </member>
        <member name="T:Learun.Util.Operat.OperatorResult">
            <summary>
            版 本 PIT-ADMS V7.0.3 敏捷开发框架
            Copyright (c) 2013-2018 Hexagon PPM
            创建人：研发部
            日 期：2017.03.08
            描 述：当前连接用户信息返回数据
            </summary>
        </member>
        <member name="P:Learun.Util.Operat.OperatorResult.stateCode">
            <summary>
            状态码-1未登录,1登录成功,0登录过期,2其他账号登录
            </summary>
        </member>
        <member name="P:Learun.Util.Operat.OperatorResult.userInfo">
            <summary>
            登录者用户信息
            </summary>
        </member>
    </members>
</doc>
